Subject: bug#33676: GuixSD on eoma68-a20?

From: Andreas Enge <[email-masked]>
Date: Mon, 10 Dec 2018 22:12:24 +0100

Hello Danny,

On Mon, Dec 10, 2018 at 11:30:14AM +0100, Danny Milosavljevic wrote:
> I've tried it now and I get:
> dannym@bayfront ~/src/guix$ ./pre-inst-env guix system disk-image --system=armhf-linux gnu/system/install.scm
> ...
> importing file or directory '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glibc-b
> ootstrap-0'...
> found valid signature for '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glibc-boo
> tstrap-0'
> guix offload: error: link: No space left on device

this is the mysterious error message we have seen before: There is still
plenty of space on all the machines! I think it was related to an ext4
limitation on the number of files, or the number of files inside a single
directory. I ran some garbage collection on bayfront, and it can now offload
and retrieve builds again. Please give it another try!

Andreas